# cedana restore

Restore a container/process

## Options

```
  -a, --attach             attach stdin/out/err
      --attachable         make it attachable, but don't attach
      --criu-opts string   CRIU options JSON (overriddes individual CRIU flags)
      --external strings   resources from external namespaces (can be multiple)
      --file-locks         restore file locks
      --gpu-id string      specify existing GPU controller ID to attach (internal use only)
  -h, --help               help for restore
      --leave-stopped      leave the process stopped after restore
      --link-remap         remap links to invisible files during restore
      --no-server          select how to run restores
  -o, --out string         log path to forward stdout/err
  -p, --path string        path of dump
      --pid-file string    file to write PID to
      --shell-job          process is not session leader (shell job)
      --tcp-close          allow listening TCP sockets to exist on restore
      --tcp-established    restore tcp established connections
```

## Options inherited from parent commands

```
      --address string      address to use (host:port for TCP, path for UNIX, cid:port for VSOCK)
      --config string       one-time config JSON string (merge with existing config)
      --config-dir string   custom config directory
      --profiling           enable profiling/show profiling data
      --protocol string     protocol to use (TCP, UNIX, VSOCK)
```

## SEE ALSO

* [cedana](/daemon/references/cli/cedana.md) - Root command for Cedana
* [cedana restore containerd](https://github.com/cedana/cedana/blob/main/docs/references/cli/cedana_restore_containerd.md) - Restore a containerd container
* [cedana restore job](/daemon/references/cli/cedana_restore_job.md) - Restore a managed process/container (job)
* [cedana restore process](/daemon/references/cli/cedana_restore_process.md) - Restore a process
* [cedana restore runc](/daemon/references/cli/cedana_restore_runc.md) - Restore a runc container


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cedana.ai/daemon/references/cli/cedana_restore.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
